These are chat archives for juttle/juttle

20th
Jan 2016
Matthew Nibecker
@mnibecker
Jan 20 2016 21:15
is it true we’re using node 4 supported es6 features in juttle/juttle?
Mark Stemm
@mstemm
Jan 20 2016 21:21
Heads up, I’ll be releasing juttle-gmail-adapter 0.4.0 shortly with support for juttle 0.3.0. I’ll also be updating outrigger to depend on 0.4.0.
Michael Demmer
@demmer
Jan 20 2016 21:33
@mnibecker we don’t yet use any es6 to my knowledge but I think we decided that we would do so for things like replacing extendable-base with es6 classes
Matthew Nibecker
@mnibecker
Jan 20 2016 21:34
kk, I will nix my use of arrow functions on my pr
Michael Demmer
@demmer
Jan 20 2016 21:34
is it causing problems?
I’m not opposed to arrow functions (if they work of course)
Matthew Nibecker
@mnibecker
Jan 20 2016 21:34
just in jshint, you have to add some esnext tag to it
Mark Stemm
@mstemm
Jan 20 2016 21:34
(that is, the outrigger release we’re working on in the next day or so will depend on juttle-gmail-adapter 0.4.0)
Michael Demmer
@demmer
Jan 20 2016 21:42
@rlgomes Any idea what’s up with this failure:
The only change on this branch is the README so I cna’t see how that’s related.
Rodney Lopes Gomes
@rlgomes
Jan 20 2016 21:43
Mark Stemm
@mstemm
Jan 20 2016 22:15
juttle-gmail-adapter 0.4.0 released